uk.ac.starlink.fits

## Class FitsTableWriter.PrimaryType

- java.lang.Object
- - uk.ac.starlink.fits.FitsTableWriter.PrimaryType

- Enclosing class:
    FitsTableWriter

      public abstract static class FitsTableWriter.PrimaryType
      extends java.lang.Object

  Characterises the type of Primary HDU that will precede table extensions written by this writer.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FitsTableWriter.PrimaryType` | `BASIC` Basic Primary HDU, containing minimal headers and no data part.
    `static FitsTableWriter.PrimaryType` | `NONE` No Primary HDU is written.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PrimaryType(java.lang.String name)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `allowSignedByte()` Indicates whether signed byte values will be permitted in files with this PHDU type.
    `java.lang.String` | `toString()`
    `abstract void` | `writeTables(FitsTableWriter writer, TableSequence tseq, java.io.OutputStream out)` Writes a sequence of tables to an output stream.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BASIC

          public static final FitsTableWriter.PrimaryType BASIC

      Basic Primary HDU, containing minimal headers and no data part.

    - #### NONE

          public static final FitsTableWriter.PrimaryType NONE

      No Primary HDU is written. The resulting output will therefore not be a legal FITS file, but it can be appended to an existing FITS file with a valid Primary HDU and perhaps other extension HDUs.

  - ### Constructor Detail

    - #### PrimaryType

          protected PrimaryType(java.lang.String name)

      Constructor.

  - ### Method Detail

    - #### allowSignedByte

          public abstract boolean allowSignedByte()

      Indicates whether signed byte values will be permitted in files with this PHDU type.
      Returns:
        whether signed bytes are allowed

    - #### writeTables

          public abstract void writeTables(FitsTableWriter writer,
                                           TableSequence tseq,
                                           java.io.OutputStream out)
                                    throws java.io.IOException

      Writes a sequence of tables to an output stream.
      Parameters:
        `writer` - fits writer instance
        `tseq` - sequence of tables
        `out` - destination stream
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`